textures/ut_afterhours/darkglass
{
	qer_editorimage textures/base_wall/shiny3.tga
    surfaceparm trans
	cull none
	qer_trans 0.5
	nopicmip

	{
		map textures/ut_afterhours/darkfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/ut_afterhours/truefence
{
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm playerclip
	surfaceparm alphashadow
    surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_afterhours/truefence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_afterhours/security_gate
{
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm playerclip
	surfaceparm alphashadow
    surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_afterhours/security_gate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_afterhours/black_shine
{

	{
		map textures/ut_afterhours/shine_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .5 .5
	}
	{
		map textures/ut_afterhours/black_shine.tga
		blendFunc GL_ZERO GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut_afterhours/elev_left
{

	{
		map textures/ut_afterhours/elev_left.tga
		rgbGen identity
	}
	{
		map textures/ut_afterhours/shine_env.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut_afterhours/elev_right
{

	{
		map textures/ut_afterhours/elev_right.tga
		rgbGen identity
	}
	{
		map textures/ut_afterhours/shine_env.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut_afterhours/popcorn_flow
{
	qer_editorimage textures/ut_afterhours/popcorn_flow.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		map textures/ut_afterhours/popcorn_flow.tga
		tcMod Scroll 0 -.75
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut_afterhours/popcorn_flow2.tga
		tcMod Scroll .1 -.6
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut_afterhours/curtain
{
	qer_editorimage textures/ut_afterhours/curtain.tga
	deformVertexes wave 194 sin 0 2 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none

	{
		map textures/ut_afterhours/curtain.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut_afterhours/light_glass
{
	qer_editorimage textures/base_wall/shiny3.tga
	qer_trans 	0.4
	surfaceparm trans	

	{
		map textures/ut_afterhours/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}